---
apiVersion: operators.coreos.com/v1alpha1
kind: InstallPlan
metadata:
  creationTimestamp: "2023-02-17T15:12:52Z"
  generateName: install-
  generation: 1
  labels:
    operators.coreos.com/openshift-custom-metrics-autoscaler-operator.openshift-keda: ""
  managedFields:
  - apiVersion: operators.coreos.com/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:generateName: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"bf805d52-aa80-4ad2-8a04-b7d21658fc52"}: {}
      f:spec:
        .: {}
        f:approval: {}
        f:approved: {}
        f:clusterServiceVersionNames: {}
        f:generation: {}
    manager: catalog
    operation: Update
    time: "2023-02-17T15:12:52Z"
  - apiVersion: operators.coreos.com/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:labels:
          .: {}
          f:operators.coreos.com/openshift-custom-metrics-autoscaler-operator.openshift-keda: {}
    manager: olm
    operation: Update
    time: "2023-02-17T15:12:52Z"
  - apiVersion: operators.coreos.com/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:bundleLookups: {}
        f:catalogSources: {}
        f:conditions: {}
        f:phase: {}
        f:plan: {}
        f:startTime: {}
    manager: catalog
    operation: Update
    subresource: status
    time: "2023-02-17T15:13:28Z"
  name: install-pllhf
  namespace: openshift-keda
  ownerReferences:
  - apiVersion: operators.coreos.com/v1alpha1
    blockOwnerDeletion: false
    controller: false
    kind: Subscription
    name: openshift-custom-metrics-autoscaler-operator
    uid: bf805d52-aa80-4ad2-8a04-b7d21658fc52
  resourceVersion: "45019"
  uid: 5d13dbae-f645-4da2-b46e-83aa800d9ebd
spec:
  approval: Automatic
  approved: true
  clusterServiceVersionNames:
  - custom-metrics-autoscaler.v2.7.1
  generation: 1
status:
  bundleLookups:
  - catalogSourceRef:
      name: redhat-operators
      namespace: openshift-marketplace
    identifier: custom-metrics-autoscaler.v2.7.1
    path: registry.redhat.io/custom-metrics-autoscaler-tech-preview/custom-metrics-autoscaler-operator-bundle@sha256:0543af82d8b735509f7ee8fcb266ee96a0f3dee533ff8db99f5bf919d775f041
    properties: '{"properties":[{"type":"olm.gvk","value":{"group":"keda.sh","kind":"ClusterTriggerAuthentication","version":"v1alpha1"}},{"type":"olm.gvk","value":{"group":"keda.sh","kind":"KedaController","version":"v1alpha1"}},{"type":"olm.gvk","value":{"group":"keda.sh","kind":"ScaledJob","version":"v1alpha1"}},{"type":"olm.gvk","value":{"group":"keda.sh","kind":"ScaledObject","version":"v1alpha1"}},{"type":"olm.gvk","value":{"group":"keda.sh","kind":"TriggerAuthentication","version":"v1alpha1"}},{"type":"olm.package","value":{"packageName":"openshift-custom-metrics-autoscaler-operator","version":"2.7.1"}}]}'
    replaces: ""
  catalogSources: []
  conditions:
  - lastTransitionTime: "2023-02-17T15:13:26Z"
    lastUpdateTime: "2023-02-17T15:13:26Z"
    status: "True"
    type: Installed
  phase: Complete
  plan:
  - resolving: custom-metrics-autoscaler.v2.7.1
    resource:
      group: operators.coreos.com
      kind: ClusterServiceVersion
      manifest: '{"kind":"ConfigMap","name":"e79dab0a23d2eb7814d73e2953e015eabca3ccee5c7437865af9dc728324d3d","namespace":"openshift-marketplace","catalogSourceName":"redhat-operators","catalogSourceNamespace":"openshift-marketplace","replaces":"","properties":"{\"properties\":[{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"ClusterTriggerAuthentication\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"KedaController\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"ScaledJob\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"ScaledObject\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"TriggerAuthentication\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.package\",\"value\":{\"packageName\":\"openshift-custom-metrics-autoscaler-operator\",\"version\":\"2.7.1\"}}]}"}'
      name: custom-metrics-autoscaler.v2.7.1
      sourceName: redhat-operators
      sourceNamespace: openshift-marketplace
      version: v1alpha1
    status: Created
  - resolving: custom-metrics-autoscaler.v2.7.1
    resource:
      group: apiextensions.k8s.io
      kind: CustomResourceDefinition
      manifest: '{"kind":"ConfigMap","name":"e79dab0a23d2eb7814d73e2953e015eabca3ccee5c7437865af9dc728324d3d","namespace":"openshift-marketplace","catalogSourceName":"redhat-operators","catalogSourceNamespace":"openshift-marketplace","replaces":"","properties":"{\"properties\":[{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"ClusterTriggerAuthentication\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"KedaController\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"ScaledJob\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"ScaledObject\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"TriggerAuthentication\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.package\",\"value\":{\"packageName\":\"openshift-custom-metrics-autoscaler-operator\",\"version\":\"2.7.1\"}}]}"}'
      name: triggerauthentications.keda.sh
      sourceName: redhat-operators
      sourceNamespace: openshift-marketplace
      version: v1
    status: Created
  - resolving: custom-metrics-autoscaler.v2.7.1
    resource:
      group: apiextensions.k8s.io
      kind: CustomResourceDefinition
      manifest: '{"kind":"ConfigMap","name":"e79dab0a23d2eb7814d73e2953e015eabca3ccee5c7437865af9dc728324d3d","namespace":"openshift-marketplace","catalogSourceName":"redhat-operators","catalogSourceNamespace":"openshift-marketplace","replaces":"","properties":"{\"properties\":[{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"ClusterTriggerAuthentication\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"KedaController\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"ScaledJob\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"ScaledObject\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"TriggerAuthentication\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.package\",\"value\":{\"packageName\":\"openshift-custom-metrics-autoscaler-operator\",\"version\":\"2.7.1\"}}]}"}'
      name: clustertriggerauthentications.keda.sh
      sourceName: redhat-operators
      sourceNamespace: openshift-marketplace
      version: v1
    status: Created
  - resolving: custom-metrics-autoscaler.v2.7.1
    resource:
      group: apiextensions.k8s.io
      kind: CustomResourceDefinition
      manifest: '{"kind":"ConfigMap","name":"e79dab0a23d2eb7814d73e2953e015eabca3ccee5c7437865af9dc728324d3d","namespace":"openshift-marketplace","catalogSourceName":"redhat-operators","catalogSourceNamespace":"openshift-marketplace","replaces":"","properties":"{\"properties\":[{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"ClusterTriggerAuthentication\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"KedaController\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"ScaledJob\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"ScaledObject\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"TriggerAuthentication\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.package\",\"value\":{\"packageName\":\"openshift-custom-metrics-autoscaler-operator\",\"version\":\"2.7.1\"}}]}"}'
      name: kedacontrollers.keda.sh
      sourceName: redhat-operators
      sourceNamespace: openshift-marketplace
      version: v1
    status: Created
  - resolving: custom-metrics-autoscaler.v2.7.1
    resource:
      group: apiextensions.k8s.io
      kind: CustomResourceDefinition
      manifest: '{"kind":"ConfigMap","name":"e79dab0a23d2eb7814d73e2953e015eabca3ccee5c7437865af9dc728324d3d","namespace":"openshift-marketplace","catalogSourceName":"redhat-operators","catalogSourceNamespace":"openshift-marketplace","replaces":"","properties":"{\"properties\":[{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"ClusterTriggerAuthentication\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"KedaController\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"ScaledJob\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"ScaledObject\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"TriggerAuthentication\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.package\",\"value\":{\"packageName\":\"openshift-custom-metrics-autoscaler-operator\",\"version\":\"2.7.1\"}}]}"}'
      name: scaledjobs.keda.sh
      sourceName: redhat-operators
      sourceNamespace: openshift-marketplace
      version: v1
    status: Created
  - resolving: custom-metrics-autoscaler.v2.7.1
    resource:
      group: apiextensions.k8s.io
      kind: CustomResourceDefinition
      manifest: '{"kind":"ConfigMap","name":"e79dab0a23d2eb7814d73e2953e015eabca3ccee5c7437865af9dc728324d3d","namespace":"openshift-marketplace","catalogSourceName":"redhat-operators","catalogSourceNamespace":"openshift-marketplace","replaces":"","properties":"{\"properties\":[{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"ClusterTriggerAuthentication\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"KedaController\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"ScaledJob\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"ScaledObject\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"TriggerAuthentication\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.package\",\"value\":{\"packageName\":\"openshift-custom-metrics-autoscaler-operator\",\"version\":\"2.7.1\"}}]}"}'
      name: scaledobjects.keda.sh
      sourceName: redhat-operators
      sourceNamespace: openshift-marketplace
      version: v1
    status: Created
  - resolving: custom-metrics-autoscaler.v2.7.1
    resource:
      group: ""
      kind: ServiceAccount
      manifest: '{"kind":"ConfigMap","name":"e79dab0a23d2eb7814d73e2953e015eabca3ccee5c7437865af9dc728324d3d","namespace":"openshift-marketplace","catalogSourceName":"redhat-operators","catalogSourceNamespace":"openshift-marketplace","replaces":"","properties":"{\"properties\":[{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"ClusterTriggerAuthentication\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"KedaController\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"ScaledJob\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"ScaledObject\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"TriggerAuthentication\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.package\",\"value\":{\"packageName\":\"openshift-custom-metrics-autoscaler-operator\",\"version\":\"2.7.1\"}}]}"}'
      name: custom-metrics-autoscaler-operator
      sourceName: redhat-operators
      sourceNamespace: openshift-marketplace
      version: v1
    status: Created
  - resolving: custom-metrics-autoscaler.v2.7.1
    resource:
      group: rbac.authorization.k8s.io
      kind: ClusterRole
      manifest: '{"kind":"ConfigMap","name":"e79dab0a23d2eb7814d73e2953e015eabca3ccee5c7437865af9dc728324d3d","namespace":"openshift-marketplace","catalogSourceName":"redhat-operators","catalogSourceNamespace":"openshift-marketplace","replaces":"","properties":"{\"properties\":[{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"ClusterTriggerAuthentication\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"KedaController\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"ScaledJob\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"ScaledObject\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"TriggerAuthentication\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.package\",\"value\":{\"packageName\":\"openshift-custom-metrics-autoscaler-operator\",\"version\":\"2.7.1\"}}]}"}'
      name: custom-metrics-autoscaler.v2.7.1-5f77bff45b
      sourceName: redhat-operators
      sourceNamespace: openshift-marketplace
      version: v1
    status: Created
  - resolving: custom-metrics-autoscaler.v2.7.1
    resource:
      group: rbac.authorization.k8s.io
      kind: ClusterRoleBinding
      manifest: '{"kind":"ConfigMap","name":"e79dab0a23d2eb7814d73e2953e015eabca3ccee5c7437865af9dc728324d3d","namespace":"openshift-marketplace","catalogSourceName":"redhat-operators","catalogSourceNamespace":"openshift-marketplace","replaces":"","properties":"{\"properties\":[{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"ClusterTriggerAuthentication\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"KedaController\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"ScaledJob\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"ScaledObject\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"keda.sh\",\"kind\":\"TriggerAuthentication\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.package\",\"value\":{\"packageName\":\"openshift-custom-metrics-autoscaler-operator\",\"version\":\"2.7.1\"}}]}"}'
      name: custom-metrics-autoscaler.v2.7.1-5f77bff45b
      sourceName: redhat-operators
      sourceNamespace: openshift-marketplace
      version: v1
    status: Created
  startTime: "2023-02-17T15:13:23Z"
